

# Use the acc-py-devtools templates found at
# https://gitlab.cern.ch/-/ide/project/acc-co/devops/python/acc-py-devtools/blob/master/-/acc_py_devtools/templates/gitlab-ci/python.yml.
include:
 - project: acc-co/devops/python/acc-py-devtools
   file: acc_py_devtools/templates/gitlab-ci/python.yml

variables:
  project_name: splitter_monitor
  PY_VERSION: '3.7'


# A full installation of splitter-monitor, tested with pytest.
test_install:
  extends: .acc_py_full_test


# A development installation of splitter-monitor tested with pytest.
test_dev:
  extends: .acc_py_dev_test


# A push of the source distribution to the acc-py PyPI, only on git tag.
release_sdist_on_tag:
  extends: .acc_py_release_sdist
